Forum Stats

  • 3,741,181 Users
  • 2,248,384 Discussions
  • 7,861,664 Comments

Discussions

Can't initialize OCI. Error -1,please help me!

I installed the Oracle winx64_12201_database database is no problem, sqlplus can use ,but  toad or PLSQL Developer can not connect, my solution is to download the instantclient-basic-nt-12.2.0.1.0, instantclient-sqlplus-nt-12.2.0.1.0, and then modify the environment variables, and run as administrator, but toad has been wrong:Can't initialize OCI. Error -1.who can tell  me why?

2018-03-08_211507.png

2018-03-08_233732.png

Best Answer

Answers

  • Sdhamoth-Oracle
    Sdhamoth-Oracle Member Posts: 184 Employee
    edited Mar 8, 2018 11:21AM Accepted Answer

    Looks like some version of TOAD will not work with Oracle Instant Client. You can check their support or try with full client installation instead of Instant Client.

  • e3c79b6a-e99d-4835-a877-a45c7f7825ba
    edited Mar 8, 2018 11:43AM

    thank you! I'm ready to uninstall Oracle winx64_12201_database, continue to use Oracle 10g, the old version is no problem, after upgrading, it can't work. I read a lot of data from library and Internet, but many solutions are invalid. I think oci.dll is probably the reason why Toad for Oracle 12.12 can't work properly. Thank you very much!

This discussion has been closed.